> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of all metrics

> Use this endpoint to retrieve a list of all metrics available on the API.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/metrics
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/metrics:
    get:
      tags:
        - Metrics
      summary: Get a list of all metrics
      description: >-
        Use this endpoint to retrieve a list of all metrics available on the
        API.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        metric_id:
                          type: string
                          description: >-
                            Required input on the API when retrieving data for a
                            metric.
                        metric_name:
                          type: string
                          description: The metric's name.
                        description:
                          type: string
                          description: The metric's description.
                        url:
                          type: string
                          description: >-
                            Returns a link to the endpoint for querying
                            metric-specific data.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````